#include "VideoTest.hpp"

#include "../UTest/UTest.hpp"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

using VideoEngine::cVideo;

void VideoTest()
{
	/// cVideo
	printf("\nTesting cVideo -----\n\n");

	UTest u("cVideo");

	TrooperEngineCore::cTrooperEngineCore::Inst();
	VideoEngine::cVideo& video = VideoEngine::cVideo::Inst();
	video.Initialize();

	u.test("Video Initialize. IsInit()", video.IsInit());

	u.test("Video Setup. Setup()", video.Setup());

	///	CaptionTest
	u.test("setCaption() and getCaption()", CaptionTest());
	
	u.report();
}

const bool CaptionTest()
{
	bool rtn = false;

	cString cap_set = "Caption Test";
	cVideo::Inst().setCaption(cap_set);
	cString cap_get = cVideo::Inst().getCaption();

	if (cap_get == cap_set)
		rtn = true;

	return rtn;
}